package com.unis.base.server.example;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TyCrkjsxxExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public TyCrkjsxxExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andJsidIsNull() {
            addCriterion("JSID is null");
            return (Criteria) this;
        }

        public Criteria andJsidIsNotNull() {
            addCriterion("JSID is not null");
            return (Criteria) this;
        }

        public Criteria andJsidEqualTo(String value) {
            addCriterion("JSID =", value, "jsid");
            return (Criteria) this;
        }

        public Criteria andJsidNotEqualTo(String value) {
            addCriterion("JSID <>", value, "jsid");
            return (Criteria) this;
        }

        public Criteria andJsidGreaterThan(String value) {
            addCriterion("JSID >", value, "jsid");
            return (Criteria) this;
        }

        public Criteria andJsidGreaterThanOrEqualTo(String value) {
            addCriterion("JSID >=", value, "jsid");
            return (Criteria) this;
        }

        public Criteria andJsidLessThan(String value) {
            addCriterion("JSID <", value, "jsid");
            return (Criteria) this;
        }

        public Criteria andJsidLessThanOrEqualTo(String value) {
            addCriterion("JSID <=", value, "jsid");
            return (Criteria) this;
        }

        public Criteria andJsidLike(String value) {
            addCriterion("JSID like", value, "jsid");
            return (Criteria) this;
        }

        public Criteria andJsidNotLike(String value) {
            addCriterion("JSID not like", value, "jsid");
            return (Criteria) this;
        }

        public Criteria andJsidIn(List<String> values) {
            addCriterion("JSID in", values, "jsid");
            return (Criteria) this;
        }

        public Criteria andJsidNotIn(List<String> values) {
            addCriterion("JSID not in", values, "jsid");
            return (Criteria) this;
        }

        public Criteria andJsidBetween(String value1, String value2) {
            addCriterion("JSID between", value1, value2, "jsid");
            return (Criteria) this;
        }

        public Criteria andJsidNotBetween(String value1, String value2) {
            addCriterion("JSID not between", value1, value2, "jsid");
            return (Criteria) this;
        }

        public Criteria andJsdhIsNull() {
            addCriterion("JSDH is null");
            return (Criteria) this;
        }

        public Criteria andJsdhIsNotNull() {
            addCriterion("JSDH is not null");
            return (Criteria) this;
        }

        public Criteria andJsdhEqualTo(String value) {
            addCriterion("JSDH =", value, "jsdh");
            return (Criteria) this;
        }

        public Criteria andJsdhNotEqualTo(String value) {
            addCriterion("JSDH <>", value, "jsdh");
            return (Criteria) this;
        }

        public Criteria andJsdhGreaterThan(String value) {
            addCriterion("JSDH >", value, "jsdh");
            return (Criteria) this;
        }

        public Criteria andJsdhGreaterThanOrEqualTo(String value) {
            addCriterion("JSDH >=", value, "jsdh");
            return (Criteria) this;
        }

        public Criteria andJsdhLessThan(String value) {
            addCriterion("JSDH <", value, "jsdh");
            return (Criteria) this;
        }

        public Criteria andJsdhLessThanOrEqualTo(String value) {
            addCriterion("JSDH <=", value, "jsdh");
            return (Criteria) this;
        }

        public Criteria andJsdhLike(String value) {
            addCriterion("JSDH like", value, "jsdh");
            return (Criteria) this;
        }

        public Criteria andJsdhNotLike(String value) {
            addCriterion("JSDH not like", value, "jsdh");
            return (Criteria) this;
        }

        public Criteria andJsdhIn(List<String> values) {
            addCriterion("JSDH in", values, "jsdh");
            return (Criteria) this;
        }

        public Criteria andJsdhNotIn(List<String> values) {
            addCriterion("JSDH not in", values, "jsdh");
            return (Criteria) this;
        }

        public Criteria andJsdhBetween(String value1, String value2) {
            addCriterion("JSDH between", value1, value2, "jsdh");
            return (Criteria) this;
        }

        public Criteria andJsdhNotBetween(String value1, String value2) {
            addCriterion("JSDH not between", value1, value2, "jsdh");
            return (Criteria) this;
        }

        public Criteria andJssjIsNull() {
            addCriterion("JSSJ is null");
            return (Criteria) this;
        }

        public Criteria andJssjIsNotNull() {
            addCriterion("JSSJ is not null");
            return (Criteria) this;
        }

        public Criteria andJssjEqualTo(Date value) {
            addCriterion("JSSJ =", value, "jssj");
            return (Criteria) this;
        }

        public Criteria andJssjNotEqualTo(Date value) {
            addCriterion("JSSJ <>", value, "jssj");
            return (Criteria) this;
        }

        public Criteria andJssjGreaterThan(Date value) {
            addCriterion("JSSJ >", value, "jssj");
            return (Criteria) this;
        }

        public Criteria andJssjGreaterThanOrEqualTo(Date value) {
            addCriterion("JSSJ >=", value, "jssj");
            return (Criteria) this;
        }

        public Criteria andJssjLessThan(Date value) {
            addCriterion("JSSJ <", value, "jssj");
            return (Criteria) this;
        }

        public Criteria andJssjLessThanOrEqualTo(Date value) {
            addCriterion("JSSJ <=", value, "jssj");
            return (Criteria) this;
        }

        public Criteria andJssjIn(List<Date> values) {
            addCriterion("JSSJ in", values, "jssj");
            return (Criteria) this;
        }

        public Criteria andJssjNotIn(List<Date> values) {
            addCriterion("JSSJ not in", values, "jssj");
            return (Criteria) this;
        }

        public Criteria andJssjBetween(Date value1, Date value2) {
            addCriterion("JSSJ between", value1, value2, "jssj");
            return (Criteria) this;
        }

        public Criteria andJssjNotBetween(Date value1, Date value2) {
            addCriterion("JSSJ not between", value1, value2, "jssj");
            return (Criteria) this;
        }

        public Criteria andPzbmIsNull() {
            addCriterion("PZBM is null");
            return (Criteria) this;
        }

        public Criteria andPzbmIsNotNull() {
            addCriterion("PZBM is not null");
            return (Criteria) this;
        }

        public Criteria andPzbmEqualTo(String value) {
            addCriterion("PZBM =", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmNotEqualTo(String value) {
            addCriterion("PZBM <>", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmGreaterThan(String value) {
            addCriterion("PZBM >", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmGreaterThanOrEqualTo(String value) {
            addCriterion("PZBM >=", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmLessThan(String value) {
            addCriterion("PZBM <", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmLessThanOrEqualTo(String value) {
            addCriterion("PZBM <=", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmLike(String value) {
            addCriterion("PZBM like", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmNotLike(String value) {
            addCriterion("PZBM not like", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmIn(List<String> values) {
            addCriterion("PZBM in", values, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmNotIn(List<String> values) {
            addCriterion("PZBM not in", values, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmBetween(String value1, String value2) {
            addCriterion("PZBM between", value1, value2, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmNotBetween(String value1, String value2) {
            addCriterion("PZBM not between", value1, value2, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzmcIsNull() {
            addCriterion("PZMC is null");
            return (Criteria) this;
        }

        public Criteria andPzmcIsNotNull() {
            addCriterion("PZMC is not null");
            return (Criteria) this;
        }

        public Criteria andPzmcEqualTo(String value) {
            addCriterion("PZMC =", value, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcNotEqualTo(String value) {
            addCriterion("PZMC <>", value, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcGreaterThan(String value) {
            addCriterion("PZMC >", value, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcGreaterThanOrEqualTo(String value) {
            addCriterion("PZMC >=", value, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcLessThan(String value) {
            addCriterion("PZMC <", value, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcLessThanOrEqualTo(String value) {
            addCriterion("PZMC <=", value, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcLike(String value) {
            addCriterion("PZMC like", value, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcNotLike(String value) {
            addCriterion("PZMC not like", value, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcIn(List<String> values) {
            addCriterion("PZMC in", values, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcNotIn(List<String> values) {
            addCriterion("PZMC not in", values, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcBetween(String value1, String value2) {
            addCriterion("PZMC between", value1, value2, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcNotBetween(String value1, String value2) {
            addCriterion("PZMC not between", value1, value2, "pzmc");
            return (Criteria) this;
        }

        public Criteria andLsdjbmIsNull() {
            addCriterion("LSDJBM is null");
            return (Criteria) this;
        }

        public Criteria andLsdjbmIsNotNull() {
            addCriterion("LSDJBM is not null");
            return (Criteria) this;
        }

        public Criteria andLsdjbmEqualTo(String value) {
            addCriterion("LSDJBM =", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmNotEqualTo(String value) {
            addCriterion("LSDJBM <>", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmGreaterThan(String value) {
            addCriterion("LSDJBM >", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmGreaterThanOrEqualTo(String value) {
            addCriterion("LSDJBM >=", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmLessThan(String value) {
            addCriterion("LSDJBM <", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmLessThanOrEqualTo(String value) {
            addCriterion("LSDJBM <=", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmLike(String value) {
            addCriterion("LSDJBM like", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmNotLike(String value) {
            addCriterion("LSDJBM not like", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmIn(List<String> values) {
            addCriterion("LSDJBM in", values, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmNotIn(List<String> values) {
            addCriterion("LSDJBM not in", values, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmBetween(String value1, String value2) {
            addCriterion("LSDJBM between", value1, value2, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmNotBetween(String value1, String value2) {
            addCriterion("LSDJBM not between", value1, value2, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjmcIsNull() {
            addCriterion("LSDJMC is null");
            return (Criteria) this;
        }

        public Criteria andLsdjmcIsNotNull() {
            addCriterion("LSDJMC is not null");
            return (Criteria) this;
        }

        public Criteria andLsdjmcEqualTo(String value) {
            addCriterion("LSDJMC =", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcNotEqualTo(String value) {
            addCriterion("LSDJMC <>", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcGreaterThan(String value) {
            addCriterion("LSDJMC >", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcGreaterThanOrEqualTo(String value) {
            addCriterion("LSDJMC >=", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcLessThan(String value) {
            addCriterion("LSDJMC <", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcLessThanOrEqualTo(String value) {
            addCriterion("LSDJMC <=", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcLike(String value) {
            addCriterion("LSDJMC like", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcNotLike(String value) {
            addCriterion("LSDJMC not like", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcIn(List<String> values) {
            addCriterion("LSDJMC in", values, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcNotIn(List<String> values) {
            addCriterion("LSDJMC not in", values, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcBetween(String value1, String value2) {
            addCriterion("LSDJMC between", value1, value2, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcNotBetween(String value1, String value2) {
            addCriterion("LSDJMC not between", value1, value2, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andKhdmIsNull() {
            addCriterion("KHDM is null");
            return (Criteria) this;
        }

        public Criteria andKhdmIsNotNull() {
            addCriterion("KHDM is not null");
            return (Criteria) this;
        }

        public Criteria andKhdmEqualTo(String value) {
            addCriterion("KHDM =", value, "khdm");
            return (Criteria) this;
        }

        public Criteria andKhdmNotEqualTo(String value) {
            addCriterion("KHDM <>", value, "khdm");
            return (Criteria) this;
        }

        public Criteria andKhdmGreaterThan(String value) {
            addCriterion("KHDM >", value, "khdm");
            return (Criteria) this;
        }

        public Criteria andKhdmGreaterThanOrEqualTo(String value) {
            addCriterion("KHDM >=", value, "khdm");
            return (Criteria) this;
        }

        public Criteria andKhdmLessThan(String value) {
            addCriterion("KHDM <", value, "khdm");
            return (Criteria) this;
        }

        public Criteria andKhdmLessThanOrEqualTo(String value) {
            addCriterion("KHDM <=", value, "khdm");
            return (Criteria) this;
        }

        public Criteria andKhdmLike(String value) {
            addCriterion("KHDM like", value, "khdm");
            return (Criteria) this;
        }

        public Criteria andKhdmNotLike(String value) {
            addCriterion("KHDM not like", value, "khdm");
            return (Criteria) this;
        }

        public Criteria andKhdmIn(List<String> values) {
            addCriterion("KHDM in", values, "khdm");
            return (Criteria) this;
        }

        public Criteria andKhdmNotIn(List<String> values) {
            addCriterion("KHDM not in", values, "khdm");
            return (Criteria) this;
        }

        public Criteria andKhdmBetween(String value1, String value2) {
            addCriterion("KHDM between", value1, value2, "khdm");
            return (Criteria) this;
        }

        public Criteria andKhdmNotBetween(String value1, String value2) {
            addCriterion("KHDM not between", value1, value2, "khdm");
            return (Criteria) this;
        }

        public Criteria andKhmcIsNull() {
            addCriterion("KHMC is null");
            return (Criteria) this;
        }

        public Criteria andKhmcIsNotNull() {
            addCriterion("KHMC is not null");
            return (Criteria) this;
        }

        public Criteria andKhmcEqualTo(String value) {
            addCriterion("KHMC =", value, "khmc");
            return (Criteria) this;
        }

        public Criteria andKhmcNotEqualTo(String value) {
            addCriterion("KHMC <>", value, "khmc");
            return (Criteria) this;
        }

        public Criteria andKhmcGreaterThan(String value) {
            addCriterion("KHMC >", value, "khmc");
            return (Criteria) this;
        }

        public Criteria andKhmcGreaterThanOrEqualTo(String value) {
            addCriterion("KHMC >=", value, "khmc");
            return (Criteria) this;
        }

        public Criteria andKhmcLessThan(String value) {
            addCriterion("KHMC <", value, "khmc");
            return (Criteria) this;
        }

        public Criteria andKhmcLessThanOrEqualTo(String value) {
            addCriterion("KHMC <=", value, "khmc");
            return (Criteria) this;
        }

        public Criteria andKhmcLike(String value) {
            addCriterion("KHMC like", value, "khmc");
            return (Criteria) this;
        }

        public Criteria andKhmcNotLike(String value) {
            addCriterion("KHMC not like", value, "khmc");
            return (Criteria) this;
        }

        public Criteria andKhmcIn(List<String> values) {
            addCriterion("KHMC in", values, "khmc");
            return (Criteria) this;
        }

        public Criteria andKhmcNotIn(List<String> values) {
            addCriterion("KHMC not in", values, "khmc");
            return (Criteria) this;
        }

        public Criteria andKhmcBetween(String value1, String value2) {
            addCriterion("KHMC between", value1, value2, "khmc");
            return (Criteria) this;
        }

        public Criteria andKhmcNotBetween(String value1, String value2) {
            addCriterion("KHMC not between", value1, value2, "khmc");
            return (Criteria) this;
        }

        public Criteria andKhssqydmIsNull() {
            addCriterion("KHSSQYDM is null");
            return (Criteria) this;
        }

        public Criteria andKhssqydmIsNotNull() {
            addCriterion("KHSSQYDM is not null");
            return (Criteria) this;
        }

        public Criteria andKhssqydmEqualTo(String value) {
            addCriterion("KHSSQYDM =", value, "khssqydm");
            return (Criteria) this;
        }

        public Criteria andKhssqydmNotEqualTo(String value) {
            addCriterion("KHSSQYDM <>", value, "khssqydm");
            return (Criteria) this;
        }

        public Criteria andKhssqydmGreaterThan(String value) {
            addCriterion("KHSSQYDM >", value, "khssqydm");
            return (Criteria) this;
        }

        public Criteria andKhssqydmGreaterThanOrEqualTo(String value) {
            addCriterion("KHSSQYDM >=", value, "khssqydm");
            return (Criteria) this;
        }

        public Criteria andKhssqydmLessThan(String value) {
            addCriterion("KHSSQYDM <", value, "khssqydm");
            return (Criteria) this;
        }

        public Criteria andKhssqydmLessThanOrEqualTo(String value) {
            addCriterion("KHSSQYDM <=", value, "khssqydm");
            return (Criteria) this;
        }

        public Criteria andKhssqydmLike(String value) {
            addCriterion("KHSSQYDM like", value, "khssqydm");
            return (Criteria) this;
        }

        public Criteria andKhssqydmNotLike(String value) {
            addCriterion("KHSSQYDM not like", value, "khssqydm");
            return (Criteria) this;
        }

        public Criteria andKhssqydmIn(List<String> values) {
            addCriterion("KHSSQYDM in", values, "khssqydm");
            return (Criteria) this;
        }

        public Criteria andKhssqydmNotIn(List<String> values) {
            addCriterion("KHSSQYDM not in", values, "khssqydm");
            return (Criteria) this;
        }

        public Criteria andKhssqydmBetween(String value1, String value2) {
            addCriterion("KHSSQYDM between", value1, value2, "khssqydm");
            return (Criteria) this;
        }

        public Criteria andKhssqydmNotBetween(String value1, String value2) {
            addCriterion("KHSSQYDM not between", value1, value2, "khssqydm");
            return (Criteria) this;
        }

        public Criteria andKhssyqmcIsNull() {
            addCriterion("KHSSYQMC is null");
            return (Criteria) this;
        }

        public Criteria andKhssyqmcIsNotNull() {
            addCriterion("KHSSYQMC is not null");
            return (Criteria) this;
        }

        public Criteria andKhssyqmcEqualTo(String value) {
            addCriterion("KHSSYQMC =", value, "khssyqmc");
            return (Criteria) this;
        }

        public Criteria andKhssyqmcNotEqualTo(String value) {
            addCriterion("KHSSYQMC <>", value, "khssyqmc");
            return (Criteria) this;
        }

        public Criteria andKhssyqmcGreaterThan(String value) {
            addCriterion("KHSSYQMC >", value, "khssyqmc");
            return (Criteria) this;
        }

        public Criteria andKhssyqmcGreaterThanOrEqualTo(String value) {
            addCriterion("KHSSYQMC >=", value, "khssyqmc");
            return (Criteria) this;
        }

        public Criteria andKhssyqmcLessThan(String value) {
            addCriterion("KHSSYQMC <", value, "khssyqmc");
            return (Criteria) this;
        }

        public Criteria andKhssyqmcLessThanOrEqualTo(String value) {
            addCriterion("KHSSYQMC <=", value, "khssyqmc");
            return (Criteria) this;
        }

        public Criteria andKhssyqmcLike(String value) {
            addCriterion("KHSSYQMC like", value, "khssyqmc");
            return (Criteria) this;
        }

        public Criteria andKhssyqmcNotLike(String value) {
            addCriterion("KHSSYQMC not like", value, "khssyqmc");
            return (Criteria) this;
        }

        public Criteria andKhssyqmcIn(List<String> values) {
            addCriterion("KHSSYQMC in", values, "khssyqmc");
            return (Criteria) this;
        }

        public Criteria andKhssyqmcNotIn(List<String> values) {
            addCriterion("KHSSYQMC not in", values, "khssyqmc");
            return (Criteria) this;
        }

        public Criteria andKhssyqmcBetween(String value1, String value2) {
            addCriterion("KHSSYQMC between", value1, value2, "khssyqmc");
            return (Criteria) this;
        }

        public Criteria andKhssyqmcNotBetween(String value1, String value2) {
            addCriterion("KHSSYQMC not between", value1, value2, "khssyqmc");
            return (Criteria) this;
        }

        public Criteria andKhlxdhIsNull() {
            addCriterion("KHLXDH is null");
            return (Criteria) this;
        }

        public Criteria andKhlxdhIsNotNull() {
            addCriterion("KHLXDH is not null");
            return (Criteria) this;
        }

        public Criteria andKhlxdhEqualTo(String value) {
            addCriterion("KHLXDH =", value, "khlxdh");
            return (Criteria) this;
        }

        public Criteria andKhlxdhNotEqualTo(String value) {
            addCriterion("KHLXDH <>", value, "khlxdh");
            return (Criteria) this;
        }

        public Criteria andKhlxdhGreaterThan(String value) {
            addCriterion("KHLXDH >", value, "khlxdh");
            return (Criteria) this;
        }

        public Criteria andKhlxdhGreaterThanOrEqualTo(String value) {
            addCriterion("KHLXDH >=", value, "khlxdh");
            return (Criteria) this;
        }

        public Criteria andKhlxdhLessThan(String value) {
            addCriterion("KHLXDH <", value, "khlxdh");
            return (Criteria) this;
        }

        public Criteria andKhlxdhLessThanOrEqualTo(String value) {
            addCriterion("KHLXDH <=", value, "khlxdh");
            return (Criteria) this;
        }

        public Criteria andKhlxdhLike(String value) {
            addCriterion("KHLXDH like", value, "khlxdh");
            return (Criteria) this;
        }

        public Criteria andKhlxdhNotLike(String value) {
            addCriterion("KHLXDH not like", value, "khlxdh");
            return (Criteria) this;
        }

        public Criteria andKhlxdhIn(List<String> values) {
            addCriterion("KHLXDH in", values, "khlxdh");
            return (Criteria) this;
        }

        public Criteria andKhlxdhNotIn(List<String> values) {
            addCriterion("KHLXDH not in", values, "khlxdh");
            return (Criteria) this;
        }

        public Criteria andKhlxdhBetween(String value1, String value2) {
            addCriterion("KHLXDH between", value1, value2, "khlxdh");
            return (Criteria) this;
        }

        public Criteria andKhlxdhNotBetween(String value1, String value2) {
            addCriterion("KHLXDH not between", value1, value2, "khlxdh");
            return (Criteria) this;
        }

        public Criteria andKhsfzhIsNull() {
            addCriterion("KHSFZH is null");
            return (Criteria) this;
        }

        public Criteria andKhsfzhIsNotNull() {
            addCriterion("KHSFZH is not null");
            return (Criteria) this;
        }

        public Criteria andKhsfzhEqualTo(String value) {
            addCriterion("KHSFZH =", value, "khsfzh");
            return (Criteria) this;
        }

        public Criteria andKhsfzhNotEqualTo(String value) {
            addCriterion("KHSFZH <>", value, "khsfzh");
            return (Criteria) this;
        }

        public Criteria andKhsfzhGreaterThan(String value) {
            addCriterion("KHSFZH >", value, "khsfzh");
            return (Criteria) this;
        }

        public Criteria andKhsfzhGreaterThanOrEqualTo(String value) {
            addCriterion("KHSFZH >=", value, "khsfzh");
            return (Criteria) this;
        }

        public Criteria andKhsfzhLessThan(String value) {
            addCriterion("KHSFZH <", value, "khsfzh");
            return (Criteria) this;
        }

        public Criteria andKhsfzhLessThanOrEqualTo(String value) {
            addCriterion("KHSFZH <=", value, "khsfzh");
            return (Criteria) this;
        }

        public Criteria andKhsfzhLike(String value) {
            addCriterion("KHSFZH like", value, "khsfzh");
            return (Criteria) this;
        }

        public Criteria andKhsfzhNotLike(String value) {
            addCriterion("KHSFZH not like", value, "khsfzh");
            return (Criteria) this;
        }

        public Criteria andKhsfzhIn(List<String> values) {
            addCriterion("KHSFZH in", values, "khsfzh");
            return (Criteria) this;
        }

        public Criteria andKhsfzhNotIn(List<String> values) {
            addCriterion("KHSFZH not in", values, "khsfzh");
            return (Criteria) this;
        }

        public Criteria andKhsfzhBetween(String value1, String value2) {
            addCriterion("KHSFZH between", value1, value2, "khsfzh");
            return (Criteria) this;
        }

        public Criteria andKhsfzhNotBetween(String value1, String value2) {
            addCriterion("KHSFZH not between", value1, value2, "khsfzh");
            return (Criteria) this;
        }

        public Criteria andKhyhzhIsNull() {
            addCriterion("KHYHZH is null");
            return (Criteria) this;
        }

        public Criteria andKhyhzhIsNotNull() {
            addCriterion("KHYHZH is not null");
            return (Criteria) this;
        }

        public Criteria andKhyhzhEqualTo(String value) {
            addCriterion("KHYHZH =", value, "khyhzh");
            return (Criteria) this;
        }

        public Criteria andKhyhzhNotEqualTo(String value) {
            addCriterion("KHYHZH <>", value, "khyhzh");
            return (Criteria) this;
        }

        public Criteria andKhyhzhGreaterThan(String value) {
            addCriterion("KHYHZH >", value, "khyhzh");
            return (Criteria) this;
        }

        public Criteria andKhyhzhGreaterThanOrEqualTo(String value) {
            addCriterion("KHYHZH >=", value, "khyhzh");
            return (Criteria) this;
        }

        public Criteria andKhyhzhLessThan(String value) {
            addCriterion("KHYHZH <", value, "khyhzh");
            return (Criteria) this;
        }

        public Criteria andKhyhzhLessThanOrEqualTo(String value) {
            addCriterion("KHYHZH <=", value, "khyhzh");
            return (Criteria) this;
        }

        public Criteria andKhyhzhLike(String value) {
            addCriterion("KHYHZH like", value, "khyhzh");
            return (Criteria) this;
        }

        public Criteria andKhyhzhNotLike(String value) {
            addCriterion("KHYHZH not like", value, "khyhzh");
            return (Criteria) this;
        }

        public Criteria andKhyhzhIn(List<String> values) {
            addCriterion("KHYHZH in", values, "khyhzh");
            return (Criteria) this;
        }

        public Criteria andKhyhzhNotIn(List<String> values) {
            addCriterion("KHYHZH not in", values, "khyhzh");
            return (Criteria) this;
        }

        public Criteria andKhyhzhBetween(String value1, String value2) {
            addCriterion("KHYHZH between", value1, value2, "khyhzh");
            return (Criteria) this;
        }

        public Criteria andKhyhzhNotBetween(String value1, String value2) {
            addCriterion("KHYHZH not between", value1, value2, "khyhzh");
            return (Criteria) this;
        }

        public Criteria andKhkhyhIsNull() {
            addCriterion("KHKHYH is null");
            return (Criteria) this;
        }

        public Criteria andKhkhyhIsNotNull() {
            addCriterion("KHKHYH is not null");
            return (Criteria) this;
        }

        public Criteria andKhkhyhEqualTo(String value) {
            addCriterion("KHKHYH =", value, "khkhyh");
            return (Criteria) this;
        }

        public Criteria andKhkhyhNotEqualTo(String value) {
            addCriterion("KHKHYH <>", value, "khkhyh");
            return (Criteria) this;
        }

        public Criteria andKhkhyhGreaterThan(String value) {
            addCriterion("KHKHYH >", value, "khkhyh");
            return (Criteria) this;
        }

        public Criteria andKhkhyhGreaterThanOrEqualTo(String value) {
            addCriterion("KHKHYH >=", value, "khkhyh");
            return (Criteria) this;
        }

        public Criteria andKhkhyhLessThan(String value) {
            addCriterion("KHKHYH <", value, "khkhyh");
            return (Criteria) this;
        }

        public Criteria andKhkhyhLessThanOrEqualTo(String value) {
            addCriterion("KHKHYH <=", value, "khkhyh");
            return (Criteria) this;
        }

        public Criteria andKhkhyhLike(String value) {
            addCriterion("KHKHYH like", value, "khkhyh");
            return (Criteria) this;
        }

        public Criteria andKhkhyhNotLike(String value) {
            addCriterion("KHKHYH not like", value, "khkhyh");
            return (Criteria) this;
        }

        public Criteria andKhkhyhIn(List<String> values) {
            addCriterion("KHKHYH in", values, "khkhyh");
            return (Criteria) this;
        }

        public Criteria andKhkhyhNotIn(List<String> values) {
            addCriterion("KHKHYH not in", values, "khkhyh");
            return (Criteria) this;
        }

        public Criteria andKhkhyhBetween(String value1, String value2) {
            addCriterion("KHKHYH between", value1, value2, "khkhyh");
            return (Criteria) this;
        }

        public Criteria andKhkhyhNotBetween(String value1, String value2) {
            addCriterion("KHKHYH not between", value1, value2, "khkhyh");
            return (Criteria) this;
        }

        public Criteria andHwbmIsNull() {
            addCriterion("HWBM is null");
            return (Criteria) this;
        }

        public Criteria andHwbmIsNotNull() {
            addCriterion("HWBM is not null");
            return (Criteria) this;
        }

        public Criteria andHwbmEqualTo(String value) {
            addCriterion("HWBM =", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmNotEqualTo(String value) {
            addCriterion("HWBM <>", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmGreaterThan(String value) {
            addCriterion("HWBM >", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmGreaterThanOrEqualTo(String value) {
            addCriterion("HWBM >=", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmLessThan(String value) {
            addCriterion("HWBM <", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmLessThanOrEqualTo(String value) {
            addCriterion("HWBM <=", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmLike(String value) {
            addCriterion("HWBM like", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmNotLike(String value) {
            addCriterion("HWBM not like", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmIn(List<String> values) {
            addCriterion("HWBM in", values, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmNotIn(List<String> values) {
            addCriterion("HWBM not in", values, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmBetween(String value1, String value2) {
            addCriterion("HWBM between", value1, value2, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmNotBetween(String value1, String value2) {
            addCriterion("HWBM not between", value1, value2, "hwbm");
            return (Criteria) this;
        }

        public Criteria andCfbhIsNull() {
            addCriterion("CFBH is null");
            return (Criteria) this;
        }

        public Criteria andCfbhIsNotNull() {
            addCriterion("CFBH is not null");
            return (Criteria) this;
        }

        public Criteria andCfbhEqualTo(String value) {
            addCriterion("CFBH =", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhNotEqualTo(String value) {
            addCriterion("CFBH <>", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhGreaterThan(String value) {
            addCriterion("CFBH >", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhGreaterThanOrEqualTo(String value) {
            addCriterion("CFBH >=", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhLessThan(String value) {
            addCriterion("CFBH <", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhLessThanOrEqualTo(String value) {
            addCriterion("CFBH <=", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhLike(String value) {
            addCriterion("CFBH like", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhNotLike(String value) {
            addCriterion("CFBH not like", value, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhIn(List<String> values) {
            addCriterion("CFBH in", values, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhNotIn(List<String> values) {
            addCriterion("CFBH not in", values, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhBetween(String value1, String value2) {
            addCriterion("CFBH between", value1, value2, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfbhNotBetween(String value1, String value2) {
            addCriterion("CFBH not between", value1, value2, "cfbh");
            return (Criteria) this;
        }

        public Criteria andCfmcIsNull() {
            addCriterion("CFMC is null");
            return (Criteria) this;
        }

        public Criteria andCfmcIsNotNull() {
            addCriterion("CFMC is not null");
            return (Criteria) this;
        }

        public Criteria andCfmcEqualTo(String value) {
            addCriterion("CFMC =", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcNotEqualTo(String value) {
            addCriterion("CFMC <>", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcGreaterThan(String value) {
            addCriterion("CFMC >", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcGreaterThanOrEqualTo(String value) {
            addCriterion("CFMC >=", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcLessThan(String value) {
            addCriterion("CFMC <", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcLessThanOrEqualTo(String value) {
            addCriterion("CFMC <=", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcLike(String value) {
            addCriterion("CFMC like", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcNotLike(String value) {
            addCriterion("CFMC not like", value, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcIn(List<String> values) {
            addCriterion("CFMC in", values, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcNotIn(List<String> values) {
            addCriterion("CFMC not in", values, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcBetween(String value1, String value2) {
            addCriterion("CFMC between", value1, value2, "cfmc");
            return (Criteria) this;
        }

        public Criteria andCfmcNotBetween(String value1, String value2) {
            addCriterion("CFMC not between", value1, value2, "cfmc");
            return (Criteria) this;
        }

        public Criteria andSskddmIsNull() {
            addCriterion("SSKDDM is null");
            return (Criteria) this;
        }

        public Criteria andSskddmIsNotNull() {
            addCriterion("SSKDDM is not null");
            return (Criteria) this;
        }

        public Criteria andSskddmEqualTo(String value) {
            addCriterion("SSKDDM =", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmNotEqualTo(String value) {
            addCriterion("SSKDDM <>", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmGreaterThan(String value) {
            addCriterion("SSKDDM >", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmGreaterThanOrEqualTo(String value) {
            addCriterion("SSKDDM >=", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmLessThan(String value) {
            addCriterion("SSKDDM <", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmLessThanOrEqualTo(String value) {
            addCriterion("SSKDDM <=", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmLike(String value) {
            addCriterion("SSKDDM like", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmNotLike(String value) {
            addCriterion("SSKDDM not like", value, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmIn(List<String> values) {
            addCriterion("SSKDDM in", values, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmNotIn(List<String> values) {
            addCriterion("SSKDDM not in", values, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmBetween(String value1, String value2) {
            addCriterion("SSKDDM between", value1, value2, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskddmNotBetween(String value1, String value2) {
            addCriterion("SSKDDM not between", value1, value2, "sskddm");
            return (Criteria) this;
        }

        public Criteria andSskdmcIsNull() {
            addCriterion("SSKDMC is null");
            return (Criteria) this;
        }

        public Criteria andSskdmcIsNotNull() {
            addCriterion("SSKDMC is not null");
            return (Criteria) this;
        }

        public Criteria andSskdmcEqualTo(String value) {
            addCriterion("SSKDMC =", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcNotEqualTo(String value) {
            addCriterion("SSKDMC <>", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcGreaterThan(String value) {
            addCriterion("SSKDMC >", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcGreaterThanOrEqualTo(String value) {
            addCriterion("SSKDMC >=", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcLessThan(String value) {
            addCriterion("SSKDMC <", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcLessThanOrEqualTo(String value) {
            addCriterion("SSKDMC <=", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcLike(String value) {
            addCriterion("SSKDMC like", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcNotLike(String value) {
            addCriterion("SSKDMC not like", value, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcIn(List<String> values) {
            addCriterion("SSKDMC in", values, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcNotIn(List<String> values) {
            addCriterion("SSKDMC not in", values, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcBetween(String value1, String value2) {
            addCriterion("SSKDMC between", value1, value2, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSskdmcNotBetween(String value1, String value2) {
            addCriterion("SSKDMC not between", value1, value2, "sskdmc");
            return (Criteria) this;
        }

        public Criteria andSsqydmIsNull() {
            addCriterion("SSQYDM is null");
            return (Criteria) this;
        }

        public Criteria andSsqydmIsNotNull() {
            addCriterion("SSQYDM is not null");
            return (Criteria) this;
        }

        public Criteria andSsqydmEqualTo(String value) {
            addCriterion("SSQYDM =", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmNotEqualTo(String value) {
            addCriterion("SSQYDM <>", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmGreaterThan(String value) {
            addCriterion("SSQYDM >", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmGreaterThanOrEqualTo(String value) {
            addCriterion("SSQYDM >=", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmLessThan(String value) {
            addCriterion("SSQYDM <", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmLessThanOrEqualTo(String value) {
            addCriterion("SSQYDM <=", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmLike(String value) {
            addCriterion("SSQYDM like", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmNotLike(String value) {
            addCriterion("SSQYDM not like", value, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmIn(List<String> values) {
            addCriterion("SSQYDM in", values, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmNotIn(List<String> values) {
            addCriterion("SSQYDM not in", values, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmBetween(String value1, String value2) {
            addCriterion("SSQYDM between", value1, value2, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsqydmNotBetween(String value1, String value2) {
            addCriterion("SSQYDM not between", value1, value2, "ssqydm");
            return (Criteria) this;
        }

        public Criteria andSsyqmcIsNull() {
            addCriterion("SSYQMC is null");
            return (Criteria) this;
        }

        public Criteria andSsyqmcIsNotNull() {
            addCriterion("SSYQMC is not null");
            return (Criteria) this;
        }

        public Criteria andSsyqmcEqualTo(String value) {
            addCriterion("SSYQMC =", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcNotEqualTo(String value) {
            addCriterion("SSYQMC <>", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcGreaterThan(String value) {
            addCriterion("SSYQMC >", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcGreaterThanOrEqualTo(String value) {
            addCriterion("SSYQMC >=", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcLessThan(String value) {
            addCriterion("SSYQMC <", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcLessThanOrEqualTo(String value) {
            addCriterion("SSYQMC <=", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcLike(String value) {
            addCriterion("SSYQMC like", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcNotLike(String value) {
            addCriterion("SSYQMC not like", value, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcIn(List<String> values) {
            addCriterion("SSYQMC in", values, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcNotIn(List<String> values) {
            addCriterion("SSYQMC not in", values, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcBetween(String value1, String value2) {
            addCriterion("SSYQMC between", value1, value2, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andSsyqmcNotBetween(String value1, String value2) {
            addCriterion("SSYQMC not between", value1, value2, "ssyqmc");
            return (Criteria) this;
        }

        public Criteria andYscchIsNull() {
            addCriterion("YSCCH is null");
            return (Criteria) this;
        }

        public Criteria andYscchIsNotNull() {
            addCriterion("YSCCH is not null");
            return (Criteria) this;
        }

        public Criteria andYscchEqualTo(String value) {
            addCriterion("YSCCH =", value, "yscch");
            return (Criteria) this;
        }

        public Criteria andYscchNotEqualTo(String value) {
            addCriterion("YSCCH <>", value, "yscch");
            return (Criteria) this;
        }

        public Criteria andYscchGreaterThan(String value) {
            addCriterion("YSCCH >", value, "yscch");
            return (Criteria) this;
        }

        public Criteria andYscchGreaterThanOrEqualTo(String value) {
            addCriterion("YSCCH >=", value, "yscch");
            return (Criteria) this;
        }

        public Criteria andYscchLessThan(String value) {
            addCriterion("YSCCH <", value, "yscch");
            return (Criteria) this;
        }

        public Criteria andYscchLessThanOrEqualTo(String value) {
            addCriterion("YSCCH <=", value, "yscch");
            return (Criteria) this;
        }

        public Criteria andYscchLike(String value) {
            addCriterion("YSCCH like", value, "yscch");
            return (Criteria) this;
        }

        public Criteria andYscchNotLike(String value) {
            addCriterion("YSCCH not like", value, "yscch");
            return (Criteria) this;
        }

        public Criteria andYscchIn(List<String> values) {
            addCriterion("YSCCH in", values, "yscch");
            return (Criteria) this;
        }

        public Criteria andYscchNotIn(List<String> values) {
            addCriterion("YSCCH not in", values, "yscch");
            return (Criteria) this;
        }

        public Criteria andYscchBetween(String value1, String value2) {
            addCriterion("YSCCH between", value1, value2, "yscch");
            return (Criteria) this;
        }

        public Criteria andYscchNotBetween(String value1, String value2) {
            addCriterion("YSCCH not between", value1, value2, "yscch");
            return (Criteria) this;
        }

        public Criteria andCzmzIsNull() {
            addCriterion("CZMZ is null");
            return (Criteria) this;
        }

        public Criteria andCzmzIsNotNull() {
            addCriterion("CZMZ is not null");
            return (Criteria) this;
        }

        public Criteria andCzmzEqualTo(BigDecimal value) {
            addCriterion("CZMZ =", value, "czmz");
            return (Criteria) this;
        }

        public Criteria andCzmzNotEqualTo(BigDecimal value) {
            addCriterion("CZMZ <>", value, "czmz");
            return (Criteria) this;
        }

        public Criteria andCzmzGreaterThan(BigDecimal value) {
            addCriterion("CZMZ >", value, "czmz");
            return (Criteria) this;
        }

        public Criteria andCzmzGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("CZMZ >=", value, "czmz");
            return (Criteria) this;
        }

        public Criteria andCzmzLessThan(BigDecimal value) {
            addCriterion("CZMZ <", value, "czmz");
            return (Criteria) this;
        }

        public Criteria andCzmzLessThanOrEqualTo(BigDecimal value) {
            addCriterion("CZMZ <=", value, "czmz");
            return (Criteria) this;
        }

        public Criteria andCzmzIn(List<BigDecimal> values) {
            addCriterion("CZMZ in", values, "czmz");
            return (Criteria) this;
        }

        public Criteria andCzmzNotIn(List<BigDecimal> values) {
            addCriterion("CZMZ not in", values, "czmz");
            return (Criteria) this;
        }

        public Criteria andCzmzBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("CZMZ between", value1, value2, "czmz");
            return (Criteria) this;
        }

        public Criteria andCzmzNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("CZMZ not between", value1, value2, "czmz");
            return (Criteria) this;
        }

        public Criteria andCzpzIsNull() {
            addCriterion("CZPZ is null");
            return (Criteria) this;
        }

        public Criteria andCzpzIsNotNull() {
            addCriterion("CZPZ is not null");
            return (Criteria) this;
        }

        public Criteria andCzpzEqualTo(BigDecimal value) {
            addCriterion("CZPZ =", value, "czpz");
            return (Criteria) this;
        }

        public Criteria andCzpzNotEqualTo(BigDecimal value) {
            addCriterion("CZPZ <>", value, "czpz");
            return (Criteria) this;
        }

        public Criteria andCzpzGreaterThan(BigDecimal value) {
            addCriterion("CZPZ >", value, "czpz");
            return (Criteria) this;
        }

        public Criteria andCzpzGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("CZPZ >=", value, "czpz");
            return (Criteria) this;
        }

        public Criteria andCzpzLessThan(BigDecimal value) {
            addCriterion("CZPZ <", value, "czpz");
            return (Criteria) this;
        }

        public Criteria andCzpzLessThanOrEqualTo(BigDecimal value) {
            addCriterion("CZPZ <=", value, "czpz");
            return (Criteria) this;
        }

        public Criteria andCzpzIn(List<BigDecimal> values) {
            addCriterion("CZPZ in", values, "czpz");
            return (Criteria) this;
        }

        public Criteria andCzpzNotIn(List<BigDecimal> values) {
            addCriterion("CZPZ not in", values, "czpz");
            return (Criteria) this;
        }

        public Criteria andCzpzBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("CZPZ between", value1, value2, "czpz");
            return (Criteria) this;
        }

        public Criteria andCzpzNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("CZPZ not between", value1, value2, "czpz");
            return (Criteria) this;
        }

        public Criteria andCzjzIsNull() {
            addCriterion("CZJZ is null");
            return (Criteria) this;
        }

        public Criteria andCzjzIsNotNull() {
            addCriterion("CZJZ is not null");
            return (Criteria) this;
        }

        public Criteria andCzjzEqualTo(BigDecimal value) {
            addCriterion("CZJZ =", value, "czjz");
            return (Criteria) this;
        }

        public Criteria andCzjzNotEqualTo(BigDecimal value) {
            addCriterion("CZJZ <>", value, "czjz");
            return (Criteria) this;
        }

        public Criteria andCzjzGreaterThan(BigDecimal value) {
            addCriterion("CZJZ >", value, "czjz");
            return (Criteria) this;
        }

        public Criteria andCzjzGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("CZJZ >=", value, "czjz");
            return (Criteria) this;
        }

        public Criteria andCzjzLessThan(BigDecimal value) {
            addCriterion("CZJZ <", value, "czjz");
            return (Criteria) this;
        }

        public Criteria andCzjzLessThanOrEqualTo(BigDecimal value) {
            addCriterion("CZJZ <=", value, "czjz");
            return (Criteria) this;
        }

        public Criteria andCzjzIn(List<BigDecimal> values) {
            addCriterion("CZJZ in", values, "czjz");
            return (Criteria) this;
        }

        public Criteria andCzjzNotIn(List<BigDecimal> values) {
            addCriterion("CZJZ not in", values, "czjz");
            return (Criteria) this;
        }

        public Criteria andCzjzBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("CZJZ between", value1, value2, "czjz");
            return (Criteria) this;
        }

        public Criteria andCzjzNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("CZJZ not between", value1, value2, "czjz");
            return (Criteria) this;
        }

        public Criteria andKzlIsNull() {
            addCriterion("KZL is null");
            return (Criteria) this;
        }

        public Criteria andKzlIsNotNull() {
            addCriterion("KZL is not null");
            return (Criteria) this;
        }

        public Criteria andKzlEqualTo(BigDecimal value) {
            addCriterion("KZL =", value, "kzl");
            return (Criteria) this;
        }

        public Criteria andKzlNotEqualTo(BigDecimal value) {
            addCriterion("KZL <>", value, "kzl");
            return (Criteria) this;
        }

        public Criteria andKzlGreaterThan(BigDecimal value) {
            addCriterion("KZL >", value, "kzl");
            return (Criteria) this;
        }

        public Criteria andKzlGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("KZL >=", value, "kzl");
            return (Criteria) this;
        }

        public Criteria andKzlLessThan(BigDecimal value) {
            addCriterion("KZL <", value, "kzl");
            return (Criteria) this;
        }

        public Criteria andKzlLessThanOrEqualTo(BigDecimal value) {
            addCriterion("KZL <=", value, "kzl");
            return (Criteria) this;
        }

        public Criteria andKzlIn(List<BigDecimal> values) {
            addCriterion("KZL in", values, "kzl");
            return (Criteria) this;
        }

        public Criteria andKzlNotIn(List<BigDecimal> values) {
            addCriterion("KZL not in", values, "kzl");
            return (Criteria) this;
        }

        public Criteria andKzlBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("KZL between", value1, value2, "kzl");
            return (Criteria) this;
        }

        public Criteria andKzlNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("KZL not between", value1, value2, "kzl");
            return (Criteria) this;
        }

        public Criteria andKdjIsNull() {
            addCriterion("KDJ is null");
            return (Criteria) this;
        }

        public Criteria andKdjIsNotNull() {
            addCriterion("KDJ is not null");
            return (Criteria) this;
        }

        public Criteria andKdjEqualTo(BigDecimal value) {
            addCriterion("KDJ =", value, "kdj");
            return (Criteria) this;
        }

        public Criteria andKdjNotEqualTo(BigDecimal value) {
            addCriterion("KDJ <>", value, "kdj");
            return (Criteria) this;
        }

        public Criteria andKdjGreaterThan(BigDecimal value) {
            addCriterion("KDJ >", value, "kdj");
            return (Criteria) this;
        }

        public Criteria andKdjGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("KDJ >=", value, "kdj");
            return (Criteria) this;
        }

        public Criteria andKdjLessThan(BigDecimal value) {
            addCriterion("KDJ <", value, "kdj");
            return (Criteria) this;
        }

        public Criteria andKdjLessThanOrEqualTo(BigDecimal value) {
            addCriterion("KDJ <=", value, "kdj");
            return (Criteria) this;
        }

        public Criteria andKdjIn(List<BigDecimal> values) {
            addCriterion("KDJ in", values, "kdj");
            return (Criteria) this;
        }

        public Criteria andKdjNotIn(List<BigDecimal> values) {
            addCriterion("KDJ not in", values, "kdj");
            return (Criteria) this;
        }

        public Criteria andKdjBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("KDJ between", value1, value2, "kdj");
            return (Criteria) this;
        }

        public Criteria andKdjNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("KDJ not between", value1, value2, "kdj");
            return (Criteria) this;
        }

        public Criteria andDjjeIsNull() {
            addCriterion("DJJE is null");
            return (Criteria) this;
        }

        public Criteria andDjjeIsNotNull() {
            addCriterion("DJJE is not null");
            return (Criteria) this;
        }

        public Criteria andDjjeEqualTo(BigDecimal value) {
            addCriterion("DJJE =", value, "djje");
            return (Criteria) this;
        }

        public Criteria andDjjeNotEqualTo(BigDecimal value) {
            addCriterion("DJJE <>", value, "djje");
            return (Criteria) this;
        }

        public Criteria andDjjeGreaterThan(BigDecimal value) {
            addCriterion("DJJE >", value, "djje");
            return (Criteria) this;
        }

        public Criteria andDjjeGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("DJJE >=", value, "djje");
            return (Criteria) this;
        }

        public Criteria andDjjeLessThan(BigDecimal value) {
            addCriterion("DJJE <", value, "djje");
            return (Criteria) this;
        }

        public Criteria andDjjeLessThanOrEqualTo(BigDecimal value) {
            addCriterion("DJJE <=", value, "djje");
            return (Criteria) this;
        }

        public Criteria andDjjeIn(List<BigDecimal> values) {
            addCriterion("DJJE in", values, "djje");
            return (Criteria) this;
        }

        public Criteria andDjjeNotIn(List<BigDecimal> values) {
            addCriterion("DJJE not in", values, "djje");
            return (Criteria) this;
        }

        public Criteria andDjjeBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("DJJE between", value1, value2, "djje");
            return (Criteria) this;
        }

        public Criteria andDjjeNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("DJJE not between", value1, value2, "djje");
            return (Criteria) this;
        }

        public Criteria andZzjszlIsNull() {
            addCriterion("ZZJSZL is null");
            return (Criteria) this;
        }

        public Criteria andZzjszlIsNotNull() {
            addCriterion("ZZJSZL is not null");
            return (Criteria) this;
        }

        public Criteria andZzjszlEqualTo(BigDecimal value) {
            addCriterion("ZZJSZL =", value, "zzjszl");
            return (Criteria) this;
        }

        public Criteria andZzjszlNotEqualTo(BigDecimal value) {
            addCriterion("ZZJSZL <>", value, "zzjszl");
            return (Criteria) this;
        }

        public Criteria andZzjszlGreaterThan(BigDecimal value) {
            addCriterion("ZZJSZL >", value, "zzjszl");
            return (Criteria) this;
        }

        public Criteria andZzjszlGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("ZZJSZL >=", value, "zzjszl");
            return (Criteria) this;
        }

        public Criteria andZzjszlLessThan(BigDecimal value) {
            addCriterion("ZZJSZL <", value, "zzjszl");
            return (Criteria) this;
        }

        public Criteria andZzjszlLessThanOrEqualTo(BigDecimal value) {
            addCriterion("ZZJSZL <=", value, "zzjszl");
            return (Criteria) this;
        }

        public Criteria andZzjszlIn(List<BigDecimal> values) {
            addCriterion("ZZJSZL in", values, "zzjszl");
            return (Criteria) this;
        }

        public Criteria andZzjszlNotIn(List<BigDecimal> values) {
            addCriterion("ZZJSZL not in", values, "zzjszl");
            return (Criteria) this;
        }

        public Criteria andZzjszlBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("ZZJSZL between", value1, value2, "zzjszl");
            return (Criteria) this;
        }

        public Criteria andZzjszlNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("ZZJSZL not between", value1, value2, "zzjszl");
            return (Criteria) this;
        }

        public Criteria andZzjsdjIsNull() {
            addCriterion("ZZJSDJ is null");
            return (Criteria) this;
        }

        public Criteria andZzjsdjIsNotNull() {
            addCriterion("ZZJSDJ is not null");
            return (Criteria) this;
        }

        public Criteria andZzjsdjEqualTo(BigDecimal value) {
            addCriterion("ZZJSDJ =", value, "zzjsdj");
            return (Criteria) this;
        }

        public Criteria andZzjsdjNotEqualTo(BigDecimal value) {
            addCriterion("ZZJSDJ <>", value, "zzjsdj");
            return (Criteria) this;
        }

        public Criteria andZzjsdjGreaterThan(BigDecimal value) {
            addCriterion("ZZJSDJ >", value, "zzjsdj");
            return (Criteria) this;
        }

        public Criteria andZzjsdjGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("ZZJSDJ >=", value, "zzjsdj");
            return (Criteria) this;
        }

        public Criteria andZzjsdjLessThan(BigDecimal value) {
            addCriterion("ZZJSDJ <", value, "zzjsdj");
            return (Criteria) this;
        }

        public Criteria andZzjsdjLessThanOrEqualTo(BigDecimal value) {
            addCriterion("ZZJSDJ <=", value, "zzjsdj");
            return (Criteria) this;
        }

        public Criteria andZzjsdjIn(List<BigDecimal> values) {
            addCriterion("ZZJSDJ in", values, "zzjsdj");
            return (Criteria) this;
        }

        public Criteria andZzjsdjNotIn(List<BigDecimal> values) {
            addCriterion("ZZJSDJ not in", values, "zzjsdj");
            return (Criteria) this;
        }

        public Criteria andZzjsdjBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("ZZJSDJ between", value1, value2, "zzjsdj");
            return (Criteria) this;
        }

        public Criteria andZzjsdjNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("ZZJSDJ not between", value1, value2, "zzjsdj");
            return (Criteria) this;
        }

        public Criteria andZzjsjeIsNull() {
            addCriterion("ZZJSJE is null");
            return (Criteria) this;
        }

        public Criteria andZzjsjeIsNotNull() {
            addCriterion("ZZJSJE is not null");
            return (Criteria) this;
        }

        public Criteria andZzjsjeEqualTo(BigDecimal value) {
            addCriterion("ZZJSJE =", value, "zzjsje");
            return (Criteria) this;
        }

        public Criteria andZzjsjeNotEqualTo(BigDecimal value) {
            addCriterion("ZZJSJE <>", value, "zzjsje");
            return (Criteria) this;
        }

        public Criteria andZzjsjeGreaterThan(BigDecimal value) {
            addCriterion("ZZJSJE >", value, "zzjsje");
            return (Criteria) this;
        }

        public Criteria andZzjsjeGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("ZZJSJE >=", value, "zzjsje");
            return (Criteria) this;
        }

        public Criteria andZzjsjeLessThan(BigDecimal value) {
            addCriterion("ZZJSJE <", value, "zzjsje");
            return (Criteria) this;
        }

        public Criteria andZzjsjeLessThanOrEqualTo(BigDecimal value) {
            addCriterion("ZZJSJE <=", value, "zzjsje");
            return (Criteria) this;
        }

        public Criteria andZzjsjeIn(List<BigDecimal> values) {
            addCriterion("ZZJSJE in", values, "zzjsje");
            return (Criteria) this;
        }

        public Criteria andZzjsjeNotIn(List<BigDecimal> values) {
            addCriterion("ZZJSJE not in", values, "zzjsje");
            return (Criteria) this;
        }

        public Criteria andZzjsjeBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("ZZJSJE between", value1, value2, "zzjsje");
            return (Criteria) this;
        }

        public Criteria andZzjsjeNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("ZZJSJE not between", value1, value2, "zzjsje");
            return (Criteria) this;
        }

        public Criteria andCrkidIsNull() {
            addCriterion("CRKID is null");
            return (Criteria) this;
        }

        public Criteria andCrkidIsNotNull() {
            addCriterion("CRKID is not null");
            return (Criteria) this;
        }

        public Criteria andCrkidEqualTo(String value) {
            addCriterion("CRKID =", value, "crkid");
            return (Criteria) this;
        }

        public Criteria andCrkidNotEqualTo(String value) {
            addCriterion("CRKID <>", value, "crkid");
            return (Criteria) this;
        }

        public Criteria andCrkidGreaterThan(String value) {
            addCriterion("CRKID >", value, "crkid");
            return (Criteria) this;
        }

        public Criteria andCrkidGreaterThanOrEqualTo(String value) {
            addCriterion("CRKID >=", value, "crkid");
            return (Criteria) this;
        }

        public Criteria andCrkidLessThan(String value) {
            addCriterion("CRKID <", value, "crkid");
            return (Criteria) this;
        }

        public Criteria andCrkidLessThanOrEqualTo(String value) {
            addCriterion("CRKID <=", value, "crkid");
            return (Criteria) this;
        }

        public Criteria andCrkidLike(String value) {
            addCriterion("CRKID like", value, "crkid");
            return (Criteria) this;
        }

        public Criteria andCrkidNotLike(String value) {
            addCriterion("CRKID not like", value, "crkid");
            return (Criteria) this;
        }

        public Criteria andCrkidIn(List<String> values) {
            addCriterion("CRKID in", values, "crkid");
            return (Criteria) this;
        }

        public Criteria andCrkidNotIn(List<String> values) {
            addCriterion("CRKID not in", values, "crkid");
            return (Criteria) this;
        }

        public Criteria andCrkidBetween(String value1, String value2) {
            addCriterion("CRKID between", value1, value2, "crkid");
            return (Criteria) this;
        }

        public Criteria andCrkidNotBetween(String value1, String value2) {
            addCriterion("CRKID not between", value1, value2, "crkid");
            return (Criteria) this;
        }

        public Criteria andCrkdhIsNull() {
            addCriterion("CRKDH is null");
            return (Criteria) this;
        }

        public Criteria andCrkdhIsNotNull() {
            addCriterion("CRKDH is not null");
            return (Criteria) this;
        }

        public Criteria andCrkdhEqualTo(String value) {
            addCriterion("CRKDH =", value, "crkdh");
            return (Criteria) this;
        }

        public Criteria andCrkdhNotEqualTo(String value) {
            addCriterion("CRKDH <>", value, "crkdh");
            return (Criteria) this;
        }

        public Criteria andCrkdhGreaterThan(String value) {
            addCriterion("CRKDH >", value, "crkdh");
            return (Criteria) this;
        }

        public Criteria andCrkdhGreaterThanOrEqualTo(String value) {
            addCriterion("CRKDH >=", value, "crkdh");
            return (Criteria) this;
        }

        public Criteria andCrkdhLessThan(String value) {
            addCriterion("CRKDH <", value, "crkdh");
            return (Criteria) this;
        }

        public Criteria andCrkdhLessThanOrEqualTo(String value) {
            addCriterion("CRKDH <=", value, "crkdh");
            return (Criteria) this;
        }

        public Criteria andCrkdhLike(String value) {
            addCriterion("CRKDH like", value, "crkdh");
            return (Criteria) this;
        }

        public Criteria andCrkdhNotLike(String value) {
            addCriterion("CRKDH not like", value, "crkdh");
            return (Criteria) this;
        }

        public Criteria andCrkdhIn(List<String> values) {
            addCriterion("CRKDH in", values, "crkdh");
            return (Criteria) this;
        }

        public Criteria andCrkdhNotIn(List<String> values) {
            addCriterion("CRKDH not in", values, "crkdh");
            return (Criteria) this;
        }

        public Criteria andCrkdhBetween(String value1, String value2) {
            addCriterion("CRKDH between", value1, value2, "crkdh");
            return (Criteria) this;
        }

        public Criteria andCrkdhNotBetween(String value1, String value2) {
            addCriterion("CRKDH not between", value1, value2, "crkdh");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("STATUS is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("STATUS is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(Short value) {
            addCriterion("STATUS =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(Short value) {
            addCriterion("STATUS <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(Short value) {
            addCriterion("STATUS >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(Short value) {
            addCriterion("STATUS >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(Short value) {
            addCriterion("STATUS <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(Short value) {
            addCriterion("STATUS <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<Short> values) {
            addCriterion("STATUS in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<Short> values) {
            addCriterion("STATUS not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(Short value1, Short value2) {
            addCriterion("STATUS between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(Short value1, Short value2) {
            addCriterion("STATUS not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andCreatorIsNull() {
            addCriterion("CREATOR is null");
            return (Criteria) this;
        }

        public Criteria andCreatorIsNotNull() {
            addCriterion("CREATOR is not null");
            return (Criteria) this;
        }

        public Criteria andCreatorEqualTo(String value) {
            addCriterion("CREATOR =", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotEqualTo(String value) {
            addCriterion("CREATOR <>", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorGreaterThan(String value) {
            addCriterion("CREATOR >", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorGreaterThanOrEqualTo(String value) {
            addCriterion("CREATOR >=", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorLessThan(String value) {
            addCriterion("CREATOR <", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorLessThanOrEqualTo(String value) {
            addCriterion("CREATOR <=", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorLike(String value) {
            addCriterion("CREATOR like", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotLike(String value) {
            addCriterion("CREATOR not like", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorIn(List<String> values) {
            addCriterion("CREATOR in", values, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotIn(List<String> values) {
            addCriterion("CREATOR not in", values, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorBetween(String value1, String value2) {
            addCriterion("CREATOR between", value1, value2, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotBetween(String value1, String value2) {
            addCriterion("CREATOR not between", value1, value2, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeIsNull() {
            addCriterion("CREATOR_CODE is null");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeIsNotNull() {
            addCriterion("CREATOR_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeEqualTo(String value) {
            addCriterion("CREATOR_CODE =", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotEqualTo(String value) {
            addCriterion("CREATOR_CODE <>", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeGreaterThan(String value) {
            addCriterion("CREATOR_CODE >", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeGreaterThanOrEqualTo(String value) {
            addCriterion("CREATOR_CODE >=", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeLessThan(String value) {
            addCriterion("CREATOR_CODE <", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeLessThanOrEqualTo(String value) {
            addCriterion("CREATOR_CODE <=", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeLike(String value) {
            addCriterion("CREATOR_CODE like", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotLike(String value) {
            addCriterion("CREATOR_CODE not like", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeIn(List<String> values) {
            addCriterion("CREATOR_CODE in", values, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotIn(List<String> values) {
            addCriterion("CREATOR_CODE not in", values, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeBetween(String value1, String value2) {
            addCriterion("CREATOR_CODE between", value1, value2, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotBetween(String value1, String value2) {
            addCriterion("CREATOR_CODE not between", value1, value2, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNull() {
            addCriterion("CREATE_DATE is null");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNotNull() {
            addCriterion("CREATE_DATE is not null");
            return (Criteria) this;
        }

        public Criteria andCreateDateEqualTo(Date value) {
            addCriterion("CREATE_DATE =", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotEqualTo(Date value) {
            addCriterion("CREATE_DATE <>", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThan(Date value) {
            addCriterion("CREATE_DATE >", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATE_DATE >=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThan(Date value) {
            addCriterion("CREATE_DATE <", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThanOrEqualTo(Date value) {
            addCriterion("CREATE_DATE <=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateIn(List<Date> values) {
            addCriterion("CREATE_DATE in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotIn(List<Date> values) {
            addCriterion("CREATE_DATE not in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateBetween(Date value1, Date value2) {
            addCriterion("CREATE_DATE between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotBetween(Date value1, Date value2) {
            addCriterion("CREATE_DATE not between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andRefresherIsNull() {
            addCriterion("REFRESHER is null");
            return (Criteria) this;
        }

        public Criteria andRefresherIsNotNull() {
            addCriterion("REFRESHER is not null");
            return (Criteria) this;
        }

        public Criteria andRefresherEqualTo(String value) {
            addCriterion("REFRESHER =", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotEqualTo(String value) {
            addCriterion("REFRESHER <>", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherGreaterThan(String value) {
            addCriterion("REFRESHER >", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherGreaterThanOrEqualTo(String value) {
            addCriterion("REFRESHER >=", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLessThan(String value) {
            addCriterion("REFRESHER <", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLessThanOrEqualTo(String value) {
            addCriterion("REFRESHER <=", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLike(String value) {
            addCriterion("REFRESHER like", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotLike(String value) {
            addCriterion("REFRESHER not like", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherIn(List<String> values) {
            addCriterion("REFRESHER in", values, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotIn(List<String> values) {
            addCriterion("REFRESHER not in", values, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherBetween(String value1, String value2) {
            addCriterion("REFRESHER between", value1, value2, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotBetween(String value1, String value2) {
            addCriterion("REFRESHER not between", value1, value2, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIsNull() {
            addCriterion("REFRESHER_CODE is null");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIsNotNull() {
            addCriterion("REFRESHER_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeEqualTo(String value) {
            addCriterion("REFRESHER_CODE =", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotEqualTo(String value) {
            addCriterion("REFRESHER_CODE <>", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeGreaterThan(String value) {
            addCriterion("REFRESHER_CODE >", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeGreaterThanOrEqualTo(String value) {
            addCriterion("REFRESHER_CODE >=", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLessThan(String value) {
            addCriterion("REFRESHER_CODE <", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLessThanOrEqualTo(String value) {
            addCriterion("REFRESHER_CODE <=", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLike(String value) {
            addCriterion("REFRESHER_CODE like", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotLike(String value) {
            addCriterion("REFRESHER_CODE not like", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIn(List<String> values) {
            addCriterion("REFRESHER_CODE in", values, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotIn(List<String> values) {
            addCriterion("REFRESHER_CODE not in", values, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeBetween(String value1, String value2) {
            addCriterion("REFRESHER_CODE between", value1, value2, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotBetween(String value1, String value2) {
            addCriterion("REFRESHER_CODE not between", value1, value2, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeIsNull() {
            addCriterion("REFRESH_TIME is null");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeIsNotNull() {
            addCriterion("REFRESH_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeEqualTo(Date value) {
            addCriterion("REFRESH_TIME =", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeNotEqualTo(Date value) {
            addCriterion("REFRESH_TIME <>", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeGreaterThan(Date value) {
            addCriterion("REFRESH_TIME >", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("REFRESH_TIME >=", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeLessThan(Date value) {
            addCriterion("REFRESH_TIME <", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeLessThanOrEqualTo(Date value) {
            addCriterion("REFRESH_TIME <=", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeIn(List<Date> values) {
            addCriterion("REFRESH_TIME in", values, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeNotIn(List<Date> values) {
            addCriterion("REFRESH_TIME not in", values, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeBetween(Date value1, Date value2) {
            addCriterion("REFRESH_TIME between", value1, value2, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeNotBetween(Date value1, Date value2) {
            addCriterion("REFRESH_TIME not between", value1, value2, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("REMARK is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("REMARK is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("REMARK =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("REMARK <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("REMARK >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("REMARK >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("REMARK <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("REMARK <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("REMARK like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("REMARK not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("REMARK in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("REMARK not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("REMARK between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("REMARK not between", value1, value2, "remark");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}